#
# spec file for package octave-forge-geometry
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  geometry
Name:           octave-forge-%{octpkg}
Version:        2.1.1
Release:        5.9
Summary:        Computational Geometry for Octave
License:        GPL-3.0+ and BSD-2-Clause
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  octave-devel
Requires:       octave-cli >= 4.0.0
BuildArch:      noarch

%description
Library for geometric computing extending MatGeom functions. Useful to create,
transform, manipulate and display geometric primitives.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}

%changelog
* Fri Jun 10 2016 dmitry_r@opensuse.org
- Update to version 2.1.1
  * Added Functions:
    'projPointOnPolyline': the function is added for compatibility,
    but it is just a wrapper of distancePointPolyline.
    'findClosestPoint'
    'fillPolygon'
    'rectAsPolygon'
  * Improved Functions
    'distancePointPolyline' is now updated with a spee dup of 100x.
    It also calculates the projections.
* Sat May  2 2015 dmitry_r@opensuse.org
- Update to version 2.0.0
  * Geometry 2.0.0 is not compatible with versions of octave older
    than 4.0. Thi si due to inputParser being used in the functions
    curve2polyline, cov2ellipse and simplifypolyline. If you do not
    need this functions you should no problems using octave > 3.6.0
  * Removed functions: oc_polybol is not part of geomtry anymore.
    This function is part of the octclip package.
  * Added Functions: planePoint
  * Drop obsolete geometry-openmp.patch
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 1.7.0
- Fix build with openmp
  * geometry-openmp.patch
